<?php

/**
 * @var \Tribal\Popup\Block\Content\Popup $block
 */
?>
<?php
$isActive = $block->isActive();
$popupType = $block->getPopupType();
$initialDate = $block->getInitialDate();
$endingDate = $block->getEndingDate();
$title = $block->getTitle();
$popupContent = $block->getPopupContent();
$enableExternalUrl = $block->getEnableExternalUrl();
$externalUrl = $block->getExternalUrl();
$externalUrlLabel = $block->getExternalUrlLabel();
$popupCookie = $block->checkPopupCookie();
?>

<?php if ($isActive && !empty($popupCookie)) : ?>
    <div id="Popup" class="Popup-box Popup-box-<?= $popupType['class']; ?>">
        <div class="page-main">
            <div class="box-popup-component">
                <?php if (!empty($popupType['icon'])) : ?>
                    <div class="icon">
                        <img src="<?= $popupType['icon']; ?>">
                    </div>
                <?php endif; ?>
                <div class="box-popup">
                    <h4 class="title semiBold"><?= $title; ?></h4>
                    <div class="box-content">
                        <span class="popupContent"><?= $popupContent; ?></span>
                        <?php if ($enableExternalUrl) : ?>
                            <a href="<?= $externalUrl; ?>" class="semiBold" target="_BLANK"><?= $externalUrlLabel; ?></a>
                        <?php endif; ?>
                    </div>
                    <button class="btn-close">Close</button>
                </div>
            </div>
        </div>
    </div>
    <script>
        require([
            'jquery',
            'domReady!'
        ], function($) {

            $('.btn-close').on('click', function() {
                $.ajax({
                    url: '<?= $popupCookie['closeUrl'] ?>',
                    context: document.body,
                    statusCode: {
                        200: function() {
                            $('#Popup').hide();
                        }
                    }
                }).done(function() {
                    console.log('Done');
                });

            });
        });
    </script>
<?php endif; ?>